Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.message
Class IdeMessageManagerAccess

public abstract class IdeMessageManagerAccess

Provides access to the current `IdeMessageManager` and defines two static methods for printing messages in the default message page or in a modal dialog.

Author:
  TogetherSoft

Method Summary
`static IdeMessageManager` | `createMessageManager()` Creates new new `IdeMessageManager`.
`static IdeMessageManager` | `getMessageManager()` Returns `IdeMessageManager`.
`static IdeMessageManagerFactory` | `getMessageManagerFactory()` Return factory which is used to create new `IdeMessageManager`.
`static void` | `printMessage(int type, String text, String sourceURL, String helpURL)` Prints the specified message in the default message page or in a modal dialog, providing additional information.
`static void` | `printMessage(int type, String text)` Prints the specified message `text` in the default message page or in a modal dialog.
`protected static void` | `setMessageManager(IdeMessageManager manager)` Sets the current `IdeMessageManager`.
`protected static void` | `setMessageManagerFactory(IdeMessageManagerFactory factory)` Specifies `IdeMessageManagerFactory`.

Method Detail

### createMessageManager

    public static IdeMessageManager createMessageManager()

  Creates new new `IdeMessageManager`.
  Returns: New `IdeMessageManager`.

### getMessageManager

    public static IdeMessageManager getMessageManager()

  Returns `IdeMessageManager`. For example:

       import com.togethersoft.openapi.ide.message.IdeMessageManger;
       import com.togethersoft.openapi.ide.message.IdeMessageMangerAccess;
       ...
       IdeMessageManager messageManager = IdeMessageManagerAccess.getMessageManager();

  Returns: `IdeMessageManager`
  See Also:
    IdeMessageManager

### getMessageManagerFactory

    public static IdeMessageManagerFactory getMessageManagerFactory()

  Return factory which is used to create new `IdeMessageManager`.
  See Also:
    IdeMessageManagerFactory

### printMessage

    public static void printMessage(int type, String text, String sourceURL, String helpURL)

  Prints the specified message in the default message page or in a modal dialog, providing additional information. The following lines do the same thing:

       IdeMessageManagerAccess.printMessage(type, text, sourceURL, helpURL);
       getMessageManager().getDefaultPage().printMessage(type, text, sourceURL, helpURL);

  Parameters:
    type - `int` type of the message. Some of the types are defined in the `IdeMessageType` interface.
    text - `String` text of the message
    sourceURL - `String` with the URL that contains important data (a source file etc.)
    helpURL - `String` with the URL help that contains help
  See Also:
    IdeMessageType

### printMessage

    public static void printMessage(int type, String text)

  Prints the specified message `text` in the default message page or in a modal dialog. The following lines do the same thing:

       IdeMessageManagerAccess.printMessage(type, text);
       IdeMessageManagerAccess.getMessageManager().getDefaultPage().printMessage(type, text);

  Parameters:
    type - `int` type of the message. Some of the types are defined in the `IdeMessageType` interface.
    text - `String` text of the message
  See Also:
    IdeMessageType

### setMessageManager

    protected static void setMessageManager(IdeMessageManager manager)

  Sets the current `IdeMessageManager`. There can be only one instance of it.
  Parameters:
    manager - the `IdeMessageManager` instance which needs to be set as the current manager

### setMessageManagerFactory

    protected static void setMessageManagerFactory(IdeMessageManagerFactory factory)

  Specifies `IdeMessageManagerFactory`. This method can be called only once.

Association Links

to Class com.togethersoft.openapi.ide.message.IdeMessageManager

to Class com.togethersoft.openapi.ide.message.IdeMessageManagerFactory

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD